Index: libs/libmythtv/channelsettings.h
===================================================================
--- libs/libmythtv/channelsettings.h	(revision 20066)
+++ libs/libmythtv/channelsettings.h	(working copy)
@@ -1,8 +1,8 @@
 #ifndef CHANNELSETTINGS_H
 #define CHANNELSETTINGS_H
 
-#include <qwidget.h>
-#include <qsqldatabase.h>
+#include <QWidget>
+#include <QSqlDatabase>
 
 #include <cstdlib>
 
Index: libs/libmythtv/firewiredevice.h
===================================================================
--- libs/libmythtv/firewiredevice.h	(revision 20066)
+++ libs/libmythtv/firewiredevice.h	(working copy)
@@ -12,8 +12,8 @@
 using namespace std;
 
 // Qt headers
-#include <qstring.h>
-#include <qmutex.h>
+#include <QString>
+#include <QMutex>
 
 // MythTV headers
 #include "streamlisteners.h"
Index: libs/libmythtv/eitfixup.h
===================================================================
--- libs/libmythtv/eitfixup.h	(revision 20066)
+++ libs/libmythtv/eitfixup.h	(working copy)
@@ -5,7 +5,7 @@
 #ifndef EITFIXUP_H
 #define EITFIXUP_H
 
-#include <qregexp.h>
+#include <QRegExp>
 
 #include "eit.h"
 
Index: libs/libmythtv/dbox2channel.cpp
===================================================================
--- libs/libmythtv/dbox2channel.cpp	(revision 20066)
+++ libs/libmythtv/dbox2channel.cpp	(working copy)
@@ -9,7 +9,7 @@
 using namespace std;
 
 // Qt headers
-#include <q3http.h>
+#include <QHttp>
 
 // MythTV headers
 #include "mythverbose.h"
@@ -50,7 +50,7 @@
       m_channelListReady(false),     m_lastChannel("1"),
       m_requestChannel(""),          m_epg(new DBox2EPG()),
       m_recorderAlive(false),        m_recorder(NULL),
-      http(new Q3Http()),             httpChanger(new Q3Http()),
+      http(new QHttp()),             httpChanger(new QHttp()),
       m_relay(new DBox2CRelay(this)),
       m_dbox2channelcount(0)
 {
@@ -230,7 +230,7 @@
     // Request Channel list via http.
     // Signal will be emmitted when list is ready.
 
-    Q3HttpRequestHeader header("GET", "/control/channellist");
+    QHttpRequestHeader header("GET", "/control/channellist");
     header.setValue("Host", m_dbox2options->host);
     http->setHost(m_dbox2options->host, m_dbox2options->httpport);
     http->request(header);
@@ -300,7 +300,7 @@
     // Request channel change via http.
     // Signal will be emmited when request is done.
 
-    Q3HttpRequestHeader header("GET", requestString);
+    QHttpRequestHeader header("GET", requestString);
     header.setValue("Host", m_dbox2options->host);
     httpChanger->setHost(m_dbox2options->host, m_dbox2options->httpport);
     httpChanger->request(header);
Index: libs/libmythtv/progfind.cpp
===================================================================
--- libs/libmythtv/progfind.cpp	(revision 20066)
+++ libs/libmythtv/progfind.cpp	(working copy)
@@ -7,15 +7,15 @@
         By John Danner
 */
 
-#include <qlabel.h>
-#include <qlayout.h>
-#include <qdatetime.h>
-#include <qtimer.h>
-#include <qapplication.h>
-#include <qsqldatabase.h>
-#include <qstringlist.h>
-#include <qcursor.h>
-#include <qregexp.h>
+#include <QLabel>
+#include <QLayout>
+#include <QDateTime>
+#include <QTimer>
+#include <QApplication>
+#include <QSqlDatabase>
+#include <QStringList>
+#include <QCursor>
+#include <QRegExp>
 #include <QKeyEvent>
 #include <QEvent>
 #include <QPixmap>
Index: libs/libmythtv/linuxfirewiredevice.cpp
===================================================================
--- libs/libmythtv/linuxfirewiredevice.cpp	(revision 20066)
+++ libs/libmythtv/linuxfirewiredevice.cpp	(working copy)
@@ -28,7 +28,7 @@
 using namespace std;
 
 // Qt headers
-#include <qdatetime.h>
+#include <QDateTime>
 
 // MythTV headers
 #include "linuxfirewiredevice.h"
Index: libs/libmythtv/mhi.cpp
===================================================================
--- libs/libmythtv/mhi.cpp	(revision 20066)
+++ libs/libmythtv/mhi.cpp	(working copy)
@@ -1,8 +1,7 @@
 #include <unistd.h>
 
 #include <QRegion>
-#include <qbitarray.h>
-
+#include <QBitArray>
 #include <QVector>
 
 #include "mhi.h"
Index: libs/libmythtv/inputgroupmap.h
===================================================================
--- libs/libmythtv/inputgroupmap.h	(revision 20066)
+++ libs/libmythtv/inputgroupmap.h	(working copy)
@@ -7,7 +7,7 @@
 using namespace std;
 
 // Qt headers
-#include <qmap.h>
+#include <QMap>
 
 // MythTV headers
 #include "mythexp.h"
Index: libs/libmythtv/hdhrchannel.h
===================================================================
--- libs/libmythtv/hdhrchannel.h	(revision 20066)
+++ libs/libmythtv/hdhrchannel.h	(working copy)
@@ -8,7 +8,7 @@
 #define HDHOMERUNCHANNEL_H
 
 // Qt headers
-#include <qstring.h>
+#include <QString>
 
 // MythTV headers
 #include "dtvchannel.h"
Index: libs/libmythtv/udpnotify.h
===================================================================
--- libs/libmythtv/udpnotify.h	(revision 20066)
+++ libs/libmythtv/udpnotify.h	(working copy)
@@ -13,13 +13,12 @@
 #include <QObject>
 #include <QMutex>
 #include <QMap>
+#include <QUdpSocket>
+#include <QDomElement>
 
 class TV;
 class OSD;
 class UDPNotifyOSDTypeText;
-class QByteArray;
-class QUdpSocket;
-class QDomElement;
 
 class UDPNotifyOSDSet
 {
Index: libs/libmythtv/videoout_null.h
===================================================================
--- libs/libmythtv/videoout_null.h	(revision 20066)
+++ libs/libmythtv/videoout_null.h	(working copy)
@@ -1,7 +1,7 @@
 #ifndef VIDEOOUT_NULL_H_
 #define VIDEOOUT_NULL_H_
 
-#include <qmutex.h>
+#include <QMutex>
 
 #include "videooutbase.h"
 
Index: libs/libmythhdhomerun/hdhomerun_os.h
===================================================================
--- libs/libmythhdhomerun/hdhomerun_os.h	(revision 20066)
+++ libs/libmythhdhomerun/hdhomerun_os.h	(working copy)
@@ -86,8 +86,8 @@
 typedef unsigned __int16 uint16_t;
 typedef unsigned __int32 uint32_t;
 typedef unsigned __int64 uint64_t;
-typedef HANDLE pthread_t;
-typedef HANDLE pthread_mutex_t;
+typedef Qt::HANDLE pthread_t;
+typedef Qt::HANDLE pthread_mutex_t;
 
 #define socklen_t int
 #define close closesocket
Index: libs/libmythhdhomerun/libmythhdhomerun.pro
===================================================================
--- libs/libmythhdhomerun/libmythhdhomerun.pro	(revision 20066)
+++ libs/libmythhdhomerun/libmythhdhomerun.pro	(working copy)
@@ -22,3 +22,4 @@
 SOURCES += hdhomerun_video.c
 
 include ( ../libs-targetfix.pro )
+QT += network  sql qt3support 
Index: libs/libmythsoundtouch/libmythsoundtouch.pro
===================================================================
--- libs/libmythsoundtouch/libmythsoundtouch.pro	(revision 20066)
+++ libs/libmythsoundtouch/libmythsoundtouch.pro	(working copy)
@@ -39,3 +39,4 @@
 }
 
 include ( ../libs-targetfix.pro )
+QT +=  qt3support 
Index: libs/libmythsamplerate/libmythsamplerate.pro
===================================================================
--- libs/libmythsamplerate/libmythsamplerate.pro	(revision 20066)
+++ libs/libmythsamplerate/libmythsamplerate.pro	(working copy)
@@ -26,3 +26,4 @@
 INSTALLS += inc
 
 include ( ../libs-targetfix.pro )
+QT +=  qt3support 
Index: libs/libmythlivemedia/libmythlivemedia.pro
===================================================================
--- libs/libmythlivemedia/libmythlivemedia.pro	(revision 20066)
+++ libs/libmythlivemedia/libmythlivemedia.pro	(working copy)
@@ -305,7 +305,7 @@
     SOURCES += liveMedia/WAVAudioFileSource.cpp
 }
 
-#The following line was inserted by qt3to4
 QT -= core gui
 
 include ( ../libs-targetfix.pro )
+QT += network  sql qt3support 
Index: libs/libavutil/libavutil.pro
===================================================================
--- libs/libavutil/libavutil.pro	(revision 20066)
+++ libs/libavutil/libavutil.pro	(working copy)
@@ -56,3 +56,4 @@
 }
 
 include ( ../libs-targetfix.pro )
+QT +=  qt3support 
Index: libs/libavcodec/libavcodec.pro
===================================================================
--- libs/libavcodec/libavcodec.pro	(revision 20066)
+++ libs/libavcodec/libavcodec.pro	(working copy)
@@ -543,3 +543,4 @@
 }
 
 include ( ../libs-targetfix.pro )
+QT += xml network  sql opengl qt3support 
Index: libs/libmythmpeg2/libmythmpeg2.pro
===================================================================
--- libs/libmythmpeg2/libmythmpeg2.pro	(revision 20066)
+++ libs/libmythmpeg2/libmythmpeg2.pro	(working copy)
@@ -42,3 +42,4 @@
 }
 
 include ( ../libs-targetfix.pro )
+QT +=  qt3support 
Index: libs/libmythui/myththemedmenu.h
===================================================================
--- libs/libmythui/myththemedmenu.h	(revision 20066)
+++ libs/libmythui/myththemedmenu.h	(working copy)
@@ -5,12 +5,11 @@
 #include "mythuistatetype.h"
 #include "mythuibuttonlist.h"
 #include "xmlparsebase.h"
+#include <QKeyEvent>
 
 class MythMainWindow;
 class MythThemedMenuState;
 
-class QKeyEvent;
-
 struct ThemedButton
 {
     QString type;
Index: libs/libmythui/mythvirtualkeyboard.cpp
===================================================================
--- libs/libmythui/mythvirtualkeyboard.cpp	(revision 20066)
+++ libs/libmythui/mythvirtualkeyboard.cpp	(working copy)
@@ -5,6 +5,7 @@
 #include <QKeyEvent>
 #include <QDomDocument>
 #include <QFile>
+#include <QEvent>
 
 // myth
 #include "mythmainwindow.h"
@@ -437,7 +438,7 @@
 
                     if (m_parentEdit)
                     {
-                        QKeyEvent *event = new QKeyEvent(QEvent::KeyPress, 0, Qt::NoModifier, c);
+                        QKeyEvent *event = new QKeyEvent(QEvent::KeyPress, 0, (Qt::KeyboardModifiers)Qt::NoModifier, c);
                         m_parentEdit->keyPressEvent(event);
                     }
 
@@ -457,7 +458,7 @@
 
         if (m_parentEdit)
         {
-            QKeyEvent *event = new QKeyEvent(QEvent::KeyPress, 0, Qt::NoModifier, c);
+            QKeyEvent *event = new QKeyEvent(QEvent::KeyPress, 0, (Qt::KeyboardModifiers)Qt::NoModifier, c);
             m_parentEdit->keyPressEvent(event);
         }
 
Index: libs/libmythui/mythuibutton.cpp
===================================================================
--- libs/libmythui/mythuibutton.cpp	(revision 20066)
+++ libs/libmythui/mythuibutton.cpp	(working copy)
@@ -1,6 +1,7 @@
 // QT
 #include <QTimer>
 #include <QDomDocument>
+#include <QKeyEvent>
 
 // Myth headers
 #include "mythverbose.h"
Index: libs/libmythui/mythmainwindow.cpp
===================================================================
--- libs/libmythui/mythmainwindow.cpp	(revision 20066)
+++ libs/libmythui/mythmainwindow.cpp	(working copy)
@@ -18,7 +18,12 @@
 #include <QEvent>
 
 #ifdef QWS
-#include <qwindowsystem_qws.h>
+#include <QKeyEvent>
+#include <QPixmap>
+#include <QMouseEvent>
+#include <QPaintEvent>
+#include <QWheelEvent>
+#include <QCloseEvent>
 #endif
 #ifdef Q_WS_MACX
 #include <HIToolbox/Menus.h>   // For GetMBarHeight()
Index: libs/libmythui/mythmainwindow_internal.h
===================================================================
--- libs/libmythui/mythmainwindow_internal.h	(revision 20066)
+++ libs/libmythui/mythmainwindow_internal.h	(working copy)
@@ -2,6 +2,7 @@
 #define MYTHMAINWINDOW_INT
 
 #include <QWidget>
+#include <QPaintEvent>
 
 class MythMainWindow;
 class MythMainWindowPrivate;
Index: libs/libmythui/mythdialogbox.h
===================================================================
--- libs/libmythui/mythdialogbox.h	(revision 20066)
+++ libs/libmythui/mythdialogbox.h	(working copy)
@@ -3,14 +3,11 @@
 
 #include <QDir>
 #include <QEvent>
+#include <QKeyEvent>
 
 #include "mythscreentype.h"
 #include "mythuitextedit.h"
 
-class QString;
-class QStringList;
-class QTimer;
-
 class MythUIButtonListItem;
 class MythUIButtonList;
 class MythUIButton;
Index: libs/libmythui/AppleRemoteListener.cpp
===================================================================
--- libs/libmythui/AppleRemoteListener.cpp	(revision 20066)
+++ libs/libmythui/AppleRemoteListener.cpp	(working copy)
@@ -1,5 +1,6 @@
 #include <QApplication>
 #include <QKeySequence>
+#include <QEvent>
 #include "lircevent.h"
 
 #include "AppleRemoteListener.h"
Index: libs/libmythui/mythimage.cpp
===================================================================
--- libs/libmythui/mythimage.cpp	(revision 20066)
+++ libs/libmythui/mythimage.cpp	(working copy)
@@ -4,6 +4,7 @@
 // QT headers
 #include <QPainter>
 #include <QMatrix>
+#include <QPixmap>
 
 #include "mythimage.h"
 #include "mythmainwindow.h"
Index: libs/libmythui/mythgesture.h
===================================================================
--- libs/libmythui/mythgesture.h	(revision 20066)
+++ libs/libmythui/mythgesture.h	(working copy)
@@ -26,9 +26,9 @@
 
 #include <sys/types.h>
 
-#include <qpoint.h>
-#include <qlist.h>
-#include <qevent.h>
+#include <QPoint>
+#include <QList>
+#include <QEvent>
 
 const int MythGestureEventType = 24427;
 
Index: libs/libmythui/mythprogressdialog.h
===================================================================
--- libs/libmythui/mythprogressdialog.h	(revision 20066)
+++ libs/libmythui/mythprogressdialog.h	(working copy)
@@ -2,6 +2,7 @@
 #define MYTHPROGRESSBOX_H_
 
 #include <QEvent>
+#include <QKeyEvent>
 
 #include "mythscreentype.h"
 #include "mythmainwindow.h"
Index: libs/libmythui/mythuitextedit.h
===================================================================
--- libs/libmythui/mythuitextedit.h	(revision 20066)
+++ libs/libmythui/mythuitextedit.h	(working copy)
@@ -2,6 +2,7 @@
 #define MYTHUI_TEXTEDIT_H_
 
 #include <QString>
+#include <QKeyEvent>
 
 #include "mythuitype.h"
 #include "mythuitext.h"
Index: libs/libmythui/mythpainter.h
===================================================================
--- libs/libmythui/mythpainter.h	(revision 20066)
+++ libs/libmythui/mythpainter.h	(working copy)
@@ -4,8 +4,6 @@
 #include <QString>
 #include <QWidget>
 
-class QRect;
-
 //  #include "mythfontproperties.h"
 
 #include "compat.h"
Index: libs/libmythui/mythpainter_qt.h
===================================================================
--- libs/libmythui/mythpainter_qt.h	(revision 20066)
+++ libs/libmythui/mythpainter_qt.h	(working copy)
@@ -6,8 +6,6 @@
 
 #include "compat.h"
 
-class QPainter;
-
 class MythQtPainter : public MythPainter
 {
   public:
Index: libs/libmythui/mythmainwindow.h
===================================================================
--- libs/libmythui/mythmainwindow.h	(revision 20066)
+++ libs/libmythui/mythmainwindow.h	(working copy)
@@ -2,12 +2,13 @@
 #define MYTHMAINWINDOW_H_
 
 #include <QWidget>
+#include <QEvent>
+#include <QKeyEvent>
+#include <QCloseEvent>
 
 #include "mythuitype.h"
 #include "mythscreenstack.h"
 
-class QEvent;
-
 class MythMediaDevice;
 
 #define REG_KEY(a, b, c, d) GetMythMainWindow()->RegisterKey(a, b, c, d)
Index: libs/libmythui/mythuitype.h
===================================================================
--- libs/libmythui/mythuitype.h	(revision 20066)
+++ libs/libmythui/mythuitype.h	(working copy)
@@ -6,6 +6,8 @@
 #include <QMap>
 #include <QList>
 #include <QFont>
+#include <QKeyEvent>
+#include <QEvent>
 
 #include "xmlparsebase.h"
 #include "mythrect.h"
@@ -16,9 +18,6 @@
 class FontMap;
 class MythFontProperties;
 
-class QEvent;
-class QKeyEvent;
-
 class MythUIText;
 class MythUIButton;
 class MythUIButtonList;
Index: libs/libmythui/mythscreentype.h
===================================================================
--- libs/libmythui/mythscreentype.h	(revision 20066)
+++ libs/libmythui/mythscreentype.h	(working copy)
@@ -4,6 +4,7 @@
 #include "mythuitype.h"
 #include "mythuitext.h"
 #include "mythuiutils.h"
+#include <QKeyEvent>
 
 class MythScreenStack;
 
Index: libs/libmythui/mythuibuttontree.h
===================================================================
--- libs/libmythui/mythuibuttontree.h	(revision 20066)
+++ libs/libmythui/mythuibuttontree.h	(working copy)
@@ -4,6 +4,7 @@
 #include "mythuitype.h"
 #include "mythgenerictree.h"
 #include "mythuibuttonlist.h"
+#include <QKeyEvent>
 
 class MythUIButtonListItem;
 
Index: libs/libmythui/mythuibuttonlist.h
===================================================================
--- libs/libmythui/mythuibuttonlist.h	(revision 20066)
+++ libs/libmythui/mythuibuttonlist.h	(working copy)
@@ -4,6 +4,7 @@
 #include <QList>
 #include <QString>
 #include <QVariant>
+#include <QKeyEvent>
 
 #include "mythuitype.h"
 #include "mythuiimage.h"
Index: libs/libmythui/mythscreentype.cpp
===================================================================
--- libs/libmythui/mythscreentype.cpp	(revision 20066)
+++ libs/libmythui/mythscreentype.cpp	(working copy)
@@ -1,6 +1,7 @@
 #include <cassert>
 
 #include <QDomDocument>
+#include <QKeyEvent>
 
 #include "mythverbose.h"
 
Index: libs/libmythui/themeinfo.h
===================================================================
--- libs/libmythui/themeinfo.h	(revision 20066)
+++ libs/libmythui/themeinfo.h	(working copy)
@@ -3,6 +3,7 @@
 
 #include <QString>
 #include <QSize>
+#include <QFileInfo>
 
 #include "mythexp.h"
 
@@ -13,8 +14,6 @@
     THEME_MENU  = 0x04
 } ThemeType;
 
-class QFileInfo;
-
 class MPUBLIC ThemeInfo
 {
 
Index: libs/libmythui/mythuihelper.h
===================================================================
--- libs/libmythui/mythuihelper.h	(revision 20066)
+++ libs/libmythui/mythuihelper.h	(working copy)
@@ -1,6 +1,7 @@
 #ifndef MYTHUIHELPERS_H_
 #define MYTHUIHELPERS_H_
 
+#include <QPixmap>
 #include <QString>
 #include <QFont>
 #include <QMutex>
@@ -9,10 +10,7 @@
 
 class MythUIHelperPrivate;
 class MythImage;
-class QImage;
-class QWidget;
 class Settings;
-class QPixmap;
 
 struct MPUBLIC MythUIMenuCallbacks
 {
Index: libs/libmythui/mythuicheckbox.cpp
===================================================================
--- libs/libmythui/mythuicheckbox.cpp	(revision 20066)
+++ libs/libmythui/mythuicheckbox.cpp	(working copy)
@@ -6,6 +6,7 @@
 #include "mythgesture.h"
 
 #include "mythuicheckbox.h"
+#include <QKeyEvent>
 
 MythUICheckBox::MythUICheckBox(MythUIType *parent, const QString &name)
             : MythUIType(parent, name)
Index: libs/libmythui/mythuiwebbrowser.h
===================================================================
--- libs/libmythui/mythuiwebbrowser.h	(revision 20066)
+++ libs/libmythui/mythuiwebbrowser.h	(working copy)
@@ -7,6 +7,7 @@
 #include <QTime>
 #include <QColor>
 #include <QIcon>
+#include <QKeyEvent>
 
 
 #ifdef USING_QTWEBKIT
Index: libs/libmythui/mythuibuttontree.cpp
===================================================================
--- libs/libmythui/mythuibuttontree.cpp	(revision 20066)
+++ libs/libmythui/mythuibuttontree.cpp	(working copy)
@@ -1,6 +1,7 @@
 // Qt headers
 #include <QDomDocument>
 #include <QDomDocument>
+#include <QKeyEvent>
 
 #include "mythverbose.h"
 
Index: libs/libmythui/mythuibuttonlist.cpp
===================================================================
--- libs/libmythui/mythuibuttonlist.cpp	(revision 20066)
+++ libs/libmythui/mythuibuttonlist.cpp	(working copy)
@@ -1,5 +1,6 @@
 // QT headers
 #include <QDomDocument>
+#include <QKeyEvent>
 
 // libmyth headers
 #include "mythverbose.h"
Index: libs/libmythui/mythdialogbox.cpp
===================================================================
--- libs/libmythui/mythdialogbox.cpp	(revision 20066)
+++ libs/libmythui/mythdialogbox.cpp	(working copy)
@@ -5,6 +5,7 @@
 #include <QString>
 #include <QStringList>
 #include <QTimer>
+#include <QKeyEvent>
 
 #include "mythverbose.h"
 
Index: libs/libmythui/mythvirtualkeyboard.h
===================================================================
--- libs/libmythui/mythvirtualkeyboard.h	(revision 20066)
+++ libs/libmythui/mythvirtualkeyboard.h	(working copy)
@@ -2,9 +2,8 @@
 #define MYTHUIVIRTUALKEYBOARD_H_
 
 #include "mythscreentype.h"
+#include <QKeyEvent>
 
-class QKeyEvent;
-
 /// Preferred position to place virtual keyboard popup.
 enum PopupPosition
 {
Index: libs/libmythui/mythuibutton.h
===================================================================
--- libs/libmythui/mythuibutton.h	(revision 20066)
+++ libs/libmythui/mythuibutton.h	(working copy)
@@ -2,6 +2,7 @@
 #define MYTHUI_BUTTON_H_
 
 #include <QString>
+#include <QKeyEvent>
 
 #include "mythuitype.h"
 #include "mythuistatetype.h"
@@ -66,7 +67,7 @@
 
     bool m_Pushed;
     bool m_Lockable;
-    class QTimer *m_clickTimer;
+    QTimer *m_clickTimer;
 };
 
 #endif
Index: libs/libmythui/mythgesture.cpp
===================================================================
--- libs/libmythui/mythgesture.cpp	(revision 20066)
+++ libs/libmythui/mythgesture.cpp	(working copy)
@@ -32,6 +32,7 @@
 
 #include <QMutex>
 #include <QMap>
+#include <QString>
 
 #include "mythgesture.h"
 
Index: libs/libmythui/mythuiwebbrowser.cpp
===================================================================
--- libs/libmythui/mythuiwebbrowser.cpp	(revision 20066)
+++ libs/libmythui/mythuiwebbrowser.cpp	(working copy)
@@ -21,6 +21,9 @@
 #include <QStyle>
 #include <QKeyEvent>
 #include <QDomDocument>
+#include <QPixmap>
+#include <QMouseEvent>
+#include <QEvent>
 
 // myth
 #include "mythpainter.h"
Index: libs/libmythui/libmythui.pro
===================================================================
--- libs/libmythui/libmythui.pro	(revision 20066)
+++ libs/libmythui/libmythui.pro	(working copy)
@@ -135,7 +135,6 @@
     }
 }
 
-#The following line was inserted by qt3to4
 QT += xml sql opengl network
 
 using_qtwebkit {
@@ -150,3 +149,4 @@
 include ( ../libs-targetfix.pro )
 
 LIBS += $$LATE_LIBS
+QT +=  qt3support 
Index: libs/libmythui/mythprogressdialog.cpp
===================================================================
--- libs/libmythui/mythprogressdialog.cpp	(revision 20066)
+++ libs/libmythui/mythprogressdialog.cpp	(working copy)
@@ -1,6 +1,8 @@
 // MythTV headers
 #include "mythprogressdialog.h"
 #include "mythverbose.h"
+#include <QEvent>
+#include <QKeyEvent>
 
 MythUIBusyDialog::MythUIBusyDialog(const QString &message,
                              MythScreenStack *parent, const char *name)
Index: libs/libmythui/mythuicheckbox.h
===================================================================
--- libs/libmythui/mythuicheckbox.h	(revision 20066)
+++ libs/libmythui/mythuicheckbox.h	(working copy)
@@ -4,6 +4,7 @@
 // MythUI headers
 #include "mythuitype.h"
 #include "mythuistatetype.h"
+#include <QKeyEvent>
 
 /** \class MythUICheckBox
  *
Index: libs/libmythui/xmlparsebase.h
===================================================================
--- libs/libmythui/xmlparsebase.h	(revision 20066)
+++ libs/libmythui/xmlparsebase.h	(working copy)
@@ -2,12 +2,12 @@
 #define XMLPARSEBASE_H_
 
 #include <QString>
+#include <QDomElement>
 
 #include "mythrect.h"
 
 class MythUIType;
 class MythScreenType;
-class QDomElement;
 
 class MPUBLIC XMLParseBase
 {
Index: libs/libavformat/libavformat.pro
===================================================================
--- libs/libavformat/libavformat.pro	(revision 20066)
+++ libs/libavformat/libavformat.pro	(working copy)
@@ -234,3 +234,4 @@
 mingw:SOURCES -= audio.c
 
 include ( ../libs-targetfix.pro )
+QT += xml network  sql opengl qt3support 
Index: libs/libmyth/settings.cpp
===================================================================
--- libs/libmyth/settings.cpp	(revision 20066)
+++ libs/libmyth/settings.cpp	(working copy)
@@ -1,5 +1,9 @@
 // C++ headers
 #include <algorithm>
+#include <Q3HBoxLayout>
+#include <QPixmap>
+#include <Q3VBoxLayout>
+#include <Q3BoxLayout>
 using namespace std;
 
 // POSIX headers
@@ -10,7 +14,7 @@
 #include <QLabel>
 #include <QSlider>
 #include <QLCDNumber>
-#include <QButtonGroup>
+#include <Q3ButtonGroup>
 #include <QRadioButton>
 #include <QProgressBar>
 
@@ -252,7 +256,7 @@
     QWidget *widget = new QWidget(parent);
     widget->setObjectName(widgetName);
 
-    QHBoxLayout *layout = new QHBoxLayout();
+    Q3HBoxLayout *layout = new Q3HBoxLayout();
 
     if (getLabel() != "")
     {
@@ -279,15 +283,15 @@
     QWidget *widget = new QWidget(parent);
     widget->setObjectName(widgetName);
 
-    QBoxLayout *layout = NULL;
+    Q3BoxLayout *layout = NULL;
     if (labelAboveWidget)
     {
-        layout = new QVBoxLayout();
+        layout = new Q3VBoxLayout();
         widget->setSizePolicy(QSizePolicy(QSizePolicy::Minimum, 
                                           QSizePolicy::Maximum));
     }
     else
-        layout = new QHBoxLayout();
+        layout = new Q3HBoxLayout();
 
     if (getLabel() != "")
     {
@@ -379,15 +383,15 @@
     QWidget *widget = new QWidget(parent);
     widget->setObjectName(widgetName);
 
-    QBoxLayout *layout = NULL;
+    Q3BoxLayout *layout = NULL;
     if (labelAboveWidget)
     {
-        layout = new QVBoxLayout();
+        layout = new Q3VBoxLayout();
         widget->setSizePolicy(QSizePolicy(QSizePolicy::Minimum, 
                                           QSizePolicy::Maximum));
     }
     else
-        layout = new QHBoxLayout();
+        layout = new Q3HBoxLayout();
 
     if (getLabel() != "")
     {
@@ -449,15 +453,15 @@
     QWidget *widget = new QWidget(parent);
     widget->setObjectName(widgetName);
 
-    QBoxLayout *layout = NULL;
+    Q3BoxLayout *layout = NULL;
     if (labelAboveWidget)
     {
-        layout = new QVBoxLayout();
+        layout = new Q3VBoxLayout();
         widget->setSizePolicy(QSizePolicy(QSizePolicy::Minimum, 
                                           QSizePolicy::Maximum));
     }
     else
-        layout = new QHBoxLayout();
+        layout = new Q3HBoxLayout();
 
     if (getLabel() != "")
     {
@@ -561,15 +565,15 @@
     QWidget *widget = new QWidget(parent);
     widget->setObjectName(widgetName);
 
-    QBoxLayout *layout = NULL;
+    Q3BoxLayout *layout = NULL;
     if (labelAboveWidget)
     {
-        layout = new QVBoxLayout();
+        layout = new Q3VBoxLayout();
         widget->setSizePolicy(QSizePolicy(QSizePolicy::Minimum, 
                                           QSizePolicy::Maximum));
     }
     else
-        layout = new QHBoxLayout();
+        layout = new Q3HBoxLayout();
 
     if (getLabel() != "")
     {
@@ -597,15 +601,15 @@
     QWidget *widget = new QWidget(parent);
     widget->setObjectName(widgetName);
 
-    QBoxLayout *layout = NULL;
+    Q3BoxLayout *layout = NULL;
     if (labelAboveWidget)
     {
-        layout = new QVBoxLayout();
+        layout = new Q3VBoxLayout();
         widget->setSizePolicy(QSizePolicy(QSizePolicy::Minimum, 
                                           QSizePolicy::Maximum));
     }
     else
-        layout = new QHBoxLayout();
+        layout = new Q3HBoxLayout();
 
     if (getLabel() != "")
     {
@@ -837,7 +841,7 @@
 QWidget *RadioSetting::configWidget(ConfigurationGroup *cg, QWidget* parent,
                                     const char* widgetName)
 {
-    QGroupBox* widget = new QGroupBox(parent);
+    Q3GroupBox* widget = new Q3GroupBox(parent);
     widget->setObjectName(widgetName);
     widget->setTitle(getLabel());
 
@@ -990,7 +994,7 @@
     QWidget *widget = new QWidget(parent);
     widget->setObjectName(widgetName);
 
-    QVBoxLayout *layout = new QVBoxLayout();
+    Q3VBoxLayout *layout = new Q3VBoxLayout();
 
     if (getLabel() != "")
     {
@@ -1132,15 +1136,15 @@
     bxwidget = new QWidget(parent);
     bxwidget->setObjectName(widgetName);
 
-    QBoxLayout *layout = NULL;
+    Q3BoxLayout *layout = NULL;
     if (labelAboveWidget)
     {
-        layout = new QVBoxLayout();
+        layout = new Q3VBoxLayout();
         bxwidget->setSizePolicy(QSizePolicy(QSizePolicy::Minimum, 
                                             QSizePolicy::Maximum));
     }
     else
-        layout = new QHBoxLayout();
+        layout = new Q3HBoxLayout();
 
     if (getLabel() != "")
     {
@@ -1292,7 +1296,7 @@
     (void)cg;
     QWidget *widget = new QWidget(parent);
     widget->setObjectName(widgetName);
-    QBoxLayout *layout = new QHBoxLayout();
+    Q3BoxLayout *layout = new Q3HBoxLayout();
 
     if (getLabel() != "")
     {
Index: libs/libmyth/mythwizard.cpp
===================================================================
--- libs/libmyth/mythwizard.cpp	(revision 20066)
+++ libs/libmyth/mythwizard.cpp	(working copy)
@@ -47,9 +47,13 @@
 
 #include <QStackedWidget>
 #include <QPushButton>
-#include <QBoxLayout>
-#include <QGroupBox>
+#include <Q3BoxLayout>
+#include <Q3GroupBox>
 #include <QLabel>
+#include <Q3HBoxLayout>
+#include <Q3Frame>
+#include <QEvent>
+#include <Q3VBoxLayout>
 
 #include "mythcontext.h"
 
@@ -70,7 +74,7 @@
         bool appropriate;
     };
 
-    QVBoxLayout * v;
+    Q3VBoxLayout * v;
     Page * current;
     QStackedWidget * ws;
     QList<Page*> pages;
@@ -80,10 +84,10 @@
     MythPushButton * finishButton;
     MythPushButton * cancelButton;
 
-    QGroupBox *helpgroup;
+    Q3GroupBox *helpgroup;
     QLabel *help;
 
-    QFrame * hbar1, * hbar2;
+    Q3Frame * hbar1, * hbar2;
 
     Page * page( const QWidget * w )
     {
@@ -422,7 +426,7 @@
     return d->cancelButton;
 }
 
-void MythWizard::layOutButtonRow( QHBoxLayout * layout )
+void MythWizard::layOutButtonRow( Q3HBoxLayout * layout )
 {
     bool hasEarlyFinish = FALSE;
 
@@ -433,8 +437,8 @@
         i--;
     }
 
-    QHBoxLayout *h = new QHBoxLayout();
-    h->setSpacing(QBoxLayout::LeftToRight);
+    Q3HBoxLayout *h = new Q3HBoxLayout();
+    h->setSpacing(Q3BoxLayout::LeftToRight);
     layout->addLayout( h );
 
     h->addWidget( d->cancelButton );
@@ -479,7 +483,7 @@
     }
 }
 
-void MythWizard::layOutTitleRow( QHBoxLayout * layout, const QString & title )
+void MythWizard::layOutTitleRow( Q3HBoxLayout * layout, const QString & title )
 {
     d->title->setText( title );
     layout->addWidget( d->title, 10 );
@@ -488,21 +492,21 @@
 void MythWizard::layOut()
 {
     delete d->v;
-    d->v = new QVBoxLayout( this);
+    d->v = new Q3VBoxLayout( this);
     d->v->setMargin(6);
     d->v->setSpacing(0);
     d->v->setObjectName("top-level layout");
 
-    QHBoxLayout * l;
-    l = new QHBoxLayout();
+    Q3HBoxLayout * l;
+    l = new Q3HBoxLayout();
     l->setMargin(6);
     d->v->addLayout( l, 0 );
     layOutTitleRow( l, d->current ? d->current->t : QString::null );
 
     if ( ! d->hbar1 ) {
-        d->hbar1 = new QFrame(this, 0);
+        d->hbar1 = new Q3Frame(this, 0);
         d->hbar1->setObjectName("MythWizard - hbar1");
-        d->hbar1->setFrameStyle(QFrame::Sunken | QFrame::HLine);
+        d->hbar1->setFrameStyle(Q3Frame::Sunken | Q3Frame::HLine);
         d->hbar1->setFixedHeight( 12 );
     }
 
@@ -512,7 +516,7 @@
 
     if (!d->helpgroup)
     {
-        d->helpgroup = new QGroupBox(this);
+        d->helpgroup = new Q3GroupBox(this);
         d->helpgroup->setObjectName("MythWizard -- help group box");
 
         d->help = new QLabel(d->helpgroup);
@@ -525,7 +529,7 @@
         d->help->setMaximumHeight((int)(80 * hmult));
         d->help->setMinimumHeight((int)(80 * hmult));
     
-        QVBoxLayout *helplayout = new QVBoxLayout(d->helpgroup);
+        Q3VBoxLayout *helplayout = new Q3VBoxLayout(d->helpgroup);
         helplayout->setMargin(10);
         helplayout->addWidget(d->help);
     }
@@ -537,14 +541,14 @@
     d->v->addWidget(d->helpgroup);
 
     if ( ! d->hbar2 ) {
-        d->hbar2 = new QFrame( this, 0 );
+        d->hbar2 = new Q3Frame( this, 0 );
         d->hbar2->setObjectName("MythWizard - hbar2"); 
-        d->hbar2->setFrameStyle(QFrame::Sunken | QFrame::HLine);
+        d->hbar2->setFrameStyle(Q3Frame::Sunken | Q3Frame::HLine);
         d->hbar2->setFixedHeight( 12 );
     }
     d->v->addWidget( d->hbar2 );
 
-    l = new QHBoxLayout();
+    l = new Q3HBoxLayout();
     l->setMargin(6);
     d->v->addLayout( l );
     layOutButtonRow( l );
